# `BB.Error.Safety.DisarmFailed`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/safety/disarm_failed.ex#L5)

Disarm callback failed for a component.

Raised when a safety disarm callback fails to complete successfully.
This indicates the hardware may be in an unsafe state and requires
manual intervention.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Safety.DisarmFailed{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  component_path: term(),
  failures: term(),
  path: term(),
  reason: term(),
  splode: term(),
  stacktrace: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Safety.DisarmFailed` without raising it.

## Keys

- :component_path
- :reason
- :failures

---

*Consult [api-reference.md](api-reference.md) for complete listing*
